WeBid Bug Tracking

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000079WeBidAdmin Control Panelpublic2009-10-09 00:192009-11-28 23:20
ReporterBox Lot 
Assigned To 
PrioritynoneSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.8.1 
Target VersionFixed in Version0.8.3 
Summary0000079: Banner settings can't be changed and may not be rotating
Description0.8.1 (r.183)
Had a single banner for the look during design so never really tested too much here.

Went to add a .swf with different size so went to adjust to any size.

Summary says it in terms of changing the size. Says change is made but selection goes back to fixed size.

Had two users with banners, one 468x60 and another different size (and .swf but don't think that is related). Both loaded into the users panel and can be viewed there.

Reloaded home page and visited/reloaded other pages as well and only the first fixed size banner ever appeared.

Of course because of the size issue the second (larger) banner might not be put into play for the rotation issue.

Update: Deleted the first 468x60 banner and the other sized one started to show though the Admin panel still indicated 468x60 fixed. So I think two different sized ones wont rotate and maybe just the first one will show.
TagsNo tags attached.
import_id79
Thread
Attached Files

- Relationships

-  Notes
(0000232)
Box Lot (reporter)
2009-10-14 15:04
edited on: 1970-01-01 00:00

0.8.2 (r.190)
Deleted my banners and tried to change setting from fixed to any size and always refreshes to fixed size.

No real reason to check the rotation/no rotation of banners until I get the sizing fixed so I can test the rotation of two different size banners.
(0000263)
paditur (reporter)
2009-10-16 15:44
edited on: 1970-01-01 00:00

box lot, i am not using this feature, but if you want me to test i can make some banners in photoshop to test them.
(0000266)
Box Lot (reporter)
2009-10-16 20:19
edited on: 1970-01-01 00:00

Might be overkill but you could at least test trying to change the setting (though that may have to do with having a banner loaded, can't remember if I tested again empty - think so.)

Of course go nuts if you get bored!

I always hate being alone with these things.
(0000268)
Box Lot (reporter)
2009-10-18 18:06
edited on: 1970-01-01 00:00

0.8.2 (r.191)
Multiple tests.

Toggling the fixed and any size in Admin seems to change the database setting though it does not hold when you look at it in Admin.. The two banners I have are exact copies except for the text displayed.

Set for example 180x180 and the last one shows. Then try to click the any size button and it refreshes to having the fixed button selected even if I blank the fixed size (after that the 180 banner still shows btw and going back to admin it shows fixed with 0x0 size).

Even tried blanking out the field (not zero) for the fixed dimensions and choose "any" there as well.

Regardless of the size I put in I can only get the last entered banner to show and there is no rotation with the other one.

Two different size banners will only show if one of the sizes is in the fixed parameters.

I've checked to make certain
Admin/banners.php
Admin/bannerssettings.php
and managebanners.php
are default and they are. I've tested with default theme as a last check and the same result of only one banner showing.

What else could possibly be in play?
(0000269)
Box Lot (reporter)
2009-10-18 18:09
edited on: 1970-01-01 00:00

Box Lot wrote

0.8.2 (r.191)
Then try to click the any size button and it refreshes to having the fixed button selected even if I blank the fixed size (after that the 180 banner still shows btw and going back to admin it shows fixed with 0x0 size).


Oh yeah, after the above you back into Admin. and put in 180 x 180 and it holds but neither of the buttons is selected after saving changes. Single banner still shows.

I'm out of ideas on this one.
(0000277)
Box Lot (reporter)
2009-10-25 20:33
edited on: 2009-10-25 21:05

Reloaded all my banner related Admin files and still no rotation or changes in settings showing in Admin as above.

Any files I can look at, code to check, etc.? Not theme related.

Always hard to tell here since most don't vote and also many may have not gotten around to testing this but if it is unique to me I'm sure I could locate my issue with a little guidance on what's in play with the banners.


EDIT:
I also notice that when creating a new banner and selecting categories and a keyword it appears like all is well in Admin but when clicking to view filters there the keyword shows but selected categories do not. Bannercategories in the DB is empty Bannerkeywords is correct.

Still no rotation when using keyword search either.

HAND ADDING the category in the database results in the 2nd banner showing but the 1st banner does not. The first banner is a default to all categories though none are listed in Admin filters.
Changing the second banner as well with a hand added single category does get the banner rotation in that category.
SO, my banner categories (didn't select and plan on having default all category banners) are not getting populated in the DB.

Keyword rotation is still not occurring.
(0000278)
Box Lot (reporter)
2009-10-25 21:16
edited on: 2009-10-25 22:12

Now deleting all and adding banners results in a redirecting related error where redirect would never resolve in the browser. I think it is related to adding a keyword.

Deleting banners brings the site back up again but does not clear the keywords in the DB.

Adding yet again but without keyword still produces the no rotation issue (latest added banner only shows) but does not create a redirect error.

Only way to rotate is to hand add single categories in the DB, the default to all does not populate anything.

Now granted my category numbering is different and my ALL category is not "0" but I have also tried changing the default in bannercategories. Hand editing the category number for "All" in the banners shows the banners ONLY when viewing all the categories and no banners when looking at any other category.

Even set my "All" category to the default "1" along with the top level categories with regards to the parent and that didn't help. Default is "0" and, even though banners through Admin. aren't getting populated, when I had set banners in SQL to "0" there are no banners. Now setting it to "1" does get it when browsing All categories but doesn't for all the other categories.

Baffled.
(0000281)
Box Lot (reporter)
2009-10-27 03:11
edited on: 2009-10-27 03:14

-With the exception or the right_id, my ALL category looks like this:
VALUES(1, -1, 1, 394, -1, 'All', 0, 0, '', '');";

-When I click on "All" in the breadcrumb categories it shows as:
http://SITE/browse.php?id=1[/URL] [^]
but default is "0" in the SQL when not selecting categories (though they still don't populate).

-Hand setting the banners to what is supposed to populate without specific category selection in Admin, "0" then the banners only show when the URL is:
http://www.auction23.com/browse.php?id=1" [^" title="]]http://SITE/browse.php?id=1[/URL] [^]
which you wouldn't normally see unless you click the Browse bar without selecting anything in the pulldown. The banners do rotate here.

-Even hand entered keywords (which currently don't populate) do not result in banners showing when the search is performed for that word.

At this point I wouldn't even mind a solution that involves me going to the SQL for every entered banner and making the appropriate changes to get the banners to show on all category pages as my plan is to not list only in individual categories.
(0000291)
Box Lot (reporter)
2009-10-29 20:04
edited on: 1970-01-01 00:00

Full clean install of proper 0.8.2 and regardless of fixed size or any banner rotation still didn't occur.

Additionally, edits still can't be made without getting message that banner already exists. Banner has to be deleted and replaced. Old banner stays in upload folder as well.

Backing to 0.8.2 proper version DOES FIX the noted keywords not populating issue.
(0000297)
paditur (reporter)
2009-10-30 16:31
edited on: 2009-10-30 16:31

Version 0.8.2
Created 3 Users under Banner Administration
Set Banner to 468x60
Created and uploaded 3 banners (468x60)
Banners are not rotating.

Banners are still not rotating with 3 Banners of various sizes
468x60
180x23
280x36

I have not tested a user with multiple banners yet.
(0000298)
paditur (reporter)
2009-10-30 16:37
edited on: 1970-01-01 00:00

I was able to make edits to existing banners without having to re-upload the file. Perhaps I am not making significant enough edits? BoxLot if you like you can give me step by step edits you want me to attempt and I will do so.
(0000299)
paditur (reporter)
2009-10-30 17:58
edited on: 2009-10-30 18:00

Okay, I have 3 User Accounts under Banner Administration.
Account One has 2 Banners, one under Toys and One under All Categories.
Account Two has no Banners.
Account Three has 1 Banner for All Categories

The only Banner that appears is the One under Toys. No other Banner appears at all.

Btw...I tried setting Banner Settings to Any Size, but it keeps defaulting back to Fixed size.
(0000300)
renlok (administrator)
2009-10-30 18:34
edited on: 1970-01-01 00:00

yeah i think this is all messed up i think i may need to recode the majority of the banner stuff as it doesnt seems to work right at all
(0000301)
Box Lot (reporter)
2009-10-30 19:40
edited on: 1970-01-01 00:00

Vindicated again! I always start to doubt my setup after the passage of time.

Thanks for testing that for me Padi!

Thanks for looking into it Renlok.
(0000354)
Box Lot (reporter)
2009-11-28 22:00
edited on: 1970-01-01 00:00

0.8.4
These still appear to be messed up.

I cleaned all user/banners and started again with default to all categories and two out of three banners with keyword "test" for search results.

Banners rotate however they do not show at all at a top level category and only show in the subcategories. They also still do not show in the "All" top level.

Searching for "test" results in all of the banners showing and only 2 of 3 should show.

Tested with default theme to double check, same results.
(0000355)
renlok (administrator)
2009-11-28 22:51
edited on: 2009-11-28 22:52

ah balls cant believe i didnt notice that well on line 53 in includes/banners.inc.php
find (note: theres two instances of this you want to change the second)
[php]WHERE b.views < b.purchased OR b.purchased = 0" . $extra;[/php]
and replace with
[php]WHERE b.views < b.purchased OR b.purchased = 0";[/php]
(0000356)
Box Lot (reporter)
2009-11-28 23:20
edited on: 1970-01-01 00:00

I so hated to rain on your 0.8.4! Dude!, 99 out of 100 is still an A+ (or insert the English equivalent!).

Only thing left is the search word selection still doesn't seem to work (shows all banners and not just those with that keyword added).

This is a big fix, really happy to have banners to sell now as I'm sure others are who didn't check if it was even working yet.

Only a couple of more features and I'll be up and running and funneling your cut to you. Can't wait.




Haven't checked the featured/search pagination yet since all my test auctions lapsed but I note you've addressed that one as well in the update-thanks! I'll do another load of testing shortly. I think that was the last bug I noticed in a while but I'll also review the Bug list again.

- Issue History
Date Modified Username Field Change
2015-04-01 13:17 renlok New Issue
2015-04-01 13:17 renlok import_id => 79
2015-04-01 13:17 renlok Date Submitted 2015-04-01 13:17 => 2009-10-09 00:19
2015-04-01 13:17 renlok Last Update 2015-04-01 13:17 => 2009-11-28 23:20


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker